import React from 'react';
import { ParserProps } from './Parser';
export interface MarkupProps extends ParserProps {
    /** Content that may contain HTML to safely render. */
    content?: string | null;
    /** Content to render when the `content` prop is empty. */
    emptyContent?: React.ReactNode;
    /** @ignore Pre-parsed content to render. */
    parsedContent?: React.ReactNode;
    /** HTML element or React fragment to wrap content with. */
    tagName?: 'fragment' | string;
}
export default class Markup extends React.PureComponent<MarkupProps> {
    static defaultProps: {
        content: string;
        emptyContent: null;
        parsedContent: null;
        tagName: string;
    };
    getContent(): React.ReactNode;
    render(): JSX.Element;
}
//# sourceMappingURL=Markup.d.ts.map